/*
X110Demo.c: Demo program for X110

Compiler: BC++ 3.1, 
          Turbo C ++ 1.01(3.01) (free from http://community.borland.com/museum)

Compile mode: large

Project: X110Demo.c
         ..\..\Lib\7188el.lib
         ..\..\LIB\Xboard\X110.lib
         
Hardware: 7188EX + X110  
X110: Digital Input: 14 Channels
    
[24/Oct/2002]
[11/July/2005] by Liam
*/

#include <conio.h>
#include "..\..\LIB\7188e.h"
#include "..\..\LIB\Xboard\X110.h"

void main(void)
{
    int iAction, iDIValue, iInChannel, quit;
    
    InitLib();
    X110_Init();    //Initialize the X110
    
    Print("\n\r");
    Print("***************************************\n\r");
    Print("|    Demo program for 7188EX + X110   |\n\r");
    Print("|                                     |\n\r");
    Print("|           [11/July/2005]            |\n\r");
    Print("***************************************\n\r");

    while(iAction!=3)
    {
        iAction=0;
        quit=0;
        
        Puts("\n\r");
        Puts("1) Read DI (all channels)\n\r");
        Puts("2) Read DI (one channel)\n\r");
        Puts("\n\r");
        Puts("3) Quits demo program\n\r\n\r");
        Puts("Choose an option and press [Enter]:");
        Scanf("%d",&iAction);
        Puts("\n\r");
        
        switch(iAction)
        {
            //Read all DI ReadBack
            case 1:
                iDIValue=X110_Read_All_DI();
                
                Print("Input value=> 0x%04x\r\n\r\n", iDIValue);
            break;
            //Read single DI ReadBack
            case 2:
                Print("Please select inport channel(0~13): ");
                Scanf("%d", &iInChannel);
                
                if(iInChannel>13)
                {
                    Puts("Unknow Channel Number!!\r\n\r\n");
                    break;
                }
                
                iDIValue=X110_Read_One_DI(iInChannel);
                
                if(iDIValue)
                    Print("Channel %d ==> OFF\r\n\r\n", iInChannel);
                else
                    Print("Channel %d ==> ON\r\n\r\n", iInChannel);
            break;
            
            case 3:
            default:
                quit=1;
            break;
        }
        if(!quit)
        {
            Puts("Press any key to continue...\n\r");
            Getch();
        }
    }
}